module Bytewise
  module Ast
    #
    # This is the most basic class
    # It is designed to be extended by tags, chunk, body, blocks, etc.
    #
    class Node
      attr_accessor :parent

      #
      # @param context ::Bytewise::Context
      #
      def render(context)

      end

      def remove
        @parent.remove_child(self)
      end
    end
  end
end