module Bytewise::Ast
  module Operators
    class Equals < Operator
      def initialize(negated: false)
        @negated = negated
      end

      def evaluate(first, second)
        if @negated
          first != second
        else
          first == second
        end
      end
    end
  end
end