module BraceMarkup
  module Ast
    module Tags
      #
      # This is a helper {{@name param: 29r}}{{/name}}
      #
      class Comment < ::Bytewise::Ast::Tag
        map :!

        def render(context, *args)
          ''
        end

        def parse_body
          BraceMarkup.parse(@body)
        end

        def render_body(context)
          BraceMarkup.render(@body, context)
        end
      end
    end
  end
end