module Bytewise
  class Renderer
    def self.render(ast, context = {})
      unless context.is_a? ::Bytewise::Context
        context = Context.new(context)
      end

      ast.render(context)
    end

    def render(*args)
      Renderer.render(*args)
    end
  end
end