module BraceMarkup
  module Ast
    module Tags
      #
      # This is a helper {{@name param: 29r}}{{/name}}
      #
      class Helper < ::Bytewise::Ast::Tag
        map :'@'

        def render(context, *args)
          klass = ::Bytewise::Helpers::Helper.get_klass(@name)
          helper = klass.new(tag: self, context: context)
          helper.render(** render_arguments(context, *args))
        end

        def next_node
          @parent.nodes[parent.current_child + 1]
        end
      end
    end
  end
end