module Bytewise
  class TagSectionException < Exception
    attr_accessor :tag_name, :body, :arguments

    def initialize(name:, body: nil, arguments: {})
      @tag_name = name
      @body = body
      @arguments = arguments
      super ''
    end
  end
end
