module Bytewise::Helpers
  class IfHelper < Helper
    map :if

    def render(cond:)
      if cond
        render_children
      else
        elsifsecs = get_sections :elsif

        elsifsecs.each do |section|
          args = section.render_arguments(@context)
          return section.render(@context) if args[:cond]
        end

        render_section :else
      end
    end
  end
end